/*-
 * ============LICENSE_START=======================================================
 * SDC
 * ================================================================================
 * Copyright (C) 2019 Nokia Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */
package org.openecomp.sdc.be.info;

import java.util.List;
import org.junit.Test;

import static com.google.code.beanmatchers.BeanMatchers.hasValidBeanConstructor;
import static com.google.code.beanmatchers.BeanMatchers.hasValidGettersAndSetters;
import static org.hamcrest.CoreMatchers.instanceOf;
import static org.hamcrest.CoreMatchers.notNullValue;
import static org.hamcrest.MatcherAssert.assertThat;

public class RelationshipListTest {

    @Test
    public void shouldHaveValidDefaultConstructor() {
        assertThat(RelationshipList.class, hasValidBeanConstructor());
    }

    @Test
    public void shouldHaveValidGettersAndSetters() {
        assertThat(RelationshipList.class, hasValidGettersAndSetters());
    }

    @Test
    public void testNonDefaultGetter() {
        RelationshipList relationshipList = new RelationshipList();
        assertThat(relationshipList.getRelationship(), notNullValue());
        assertThat(relationshipList.getRelationship(), instanceOf(List.class));
    }
}